Resin Plugin in Selena

Hi all,

I use the resin plugin extensively and quite happy with it.

However, I suppose there are some api changes in selena that make the plugin does not work anymore.

The stack trace:

(DeploymentModel.java:48)
	at org.intellij.j2ee.web.resin.ResinDeploymentModel.(ResinDeploymentModel.java:12)
	at org.intellij.j2ee.web.resin.ResinDeploymentProvider.createNewDeploymentModel(ResinDeploymentProvider.java:50)
	at com.intellij.javaee.run.configuration.CommonStrategy.readExternal(CommonStrategy.java:395)
	at com.intellij.execution.impl.RunnerAndConfigurationSettingsImpl.readExternal(RunnerAndConfigurationSettingsImpl.java:101)
	at com.intellij.execution.impl.RunManagerImpl.loadConfiguration(RunManagerImpl.java:188)
	at com.intellij.execution.impl.RunManagerImpl.readExternal(RunManagerImpl.java:5)
	at com.intellij.openapi.components.impl.stores.ComponentStoreImpl.initJdomExternalizable(ComponentStoreImpl.java:139)
	at com.intellij.openapi.components.impl.stores.ComponentStoreImpl$1.run(ComponentStoreImpl.java:5)
	at com.intellij.openapi.application.impl.ApplicationImpl.runReadAction(ApplicationImpl.java:197)
	at com.intellij.openapi.components.impl.stores.ComponentStoreImpl.initComponent(ComponentStoreImpl.java:11)
	at com.intellij.openapi.components.impl.ComponentManagerImpl.a(ComponentManagerImpl.java:98)
	at com.intellij.openapi.components.impl.ComponentManagerImpl.access$1100(ComponentManagerImpl.java:141)
	at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentConfigComponentAdapter$1.getComponentInstance(ComponentManagerImpl.java:4)
	at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentConfigComponentAdapter.getComponentInstance(ComponentManagerImpl.java:23)
	at com.intellij.util.pico.DefaultPicoContainer.getLocalInstance(DefaultPicoContainer.java:193)
	at com.intellij.util.pico.DefaultPicoContainer.getInstance(DefaultPicoContainer.java:180)
	at com.intellij.util.pico.DefaultPicoContainer.getComponentInstance(DefaultPicoContainer.java:162)
	at org.picocontainer.alternatives.AbstractDelegatingMutablePicoContainer.getComponentInstance(AbstractDelegatingMutablePicoContainer.java:75)
	at com.intellij.openapi.components.impl.ComponentManagerImpl.a(ComponentManagerImpl.java:134)
	at com.intellij.openapi.components.impl.ComponentManagerImpl.a(ComponentManagerImpl.java:149)
	at com.intellij.openapi.components.impl.ComponentManagerImpl.initComponents(ComponentManagerImpl.java:139)
	at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:73)
	at com.intellij.openapi.project.impl.ProjectImpl.init(ProjectImpl.java:68)
	at com.intellij.openapi.components.impl.stores.ProjectStoreImpl.loadProject(ProjectStoreImpl.java:32)
	at com.intellij.openapi.project.impl.ProjectManagerImpl.loadProject(ProjectManagerImpl.java:165)
	at com.intellij.openapi.project.impl.ProjectManagerImpl.loadAndOpenProject(ProjectManagerImpl.java:40)
	at com.intellij.ide.impl.ProjectUtil.openProject(ProjectUtil.java:83)
	at com.intellij.ide.RecentProjectsManager$ReopenProjectAction.actionPerformed(RecentProjectsManager.java:2)
	at com.intellij.ui.popup.PopupFactoryImpl$ActionPopupStep$1.run(PopupFactoryImpl.java:2)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at com.intellij.ide.IdeEventQueue.b(IdeEventQueue.java:144)
	at com.intellij.ide.IdeEventQueue.a(IdeEventQueue.java:51)
	at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:89)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)
]]>


How do I resolve this?

Best regards,
Thomas

2 comments

Are you using the Resin 3.0.X, or 3.1.X
I believe the plugin had problems with Resin 3.1.X.

-Rob

0

I use resin 3.0.22, and Selena.

0

Please sign in to leave a comment.